Alarm Center

The Tait T8000 Alarm Center application automates the remote monitoring of base stations. It receives alarms from Tait T8000 base stations via a modem link, alerts you to them, and displays details about them and the modules they came from.

Alarm Center runs on your PC, usually in the background. The PC should be permanently on, so that Alarm Center can receive alarms at any time. You can use the same PC for the Service Kit and for Alarm Center, however Alarm Center can't receive alarms when the Service Kit is connected to a base station system (unless your PC has two modem connections).

When Alarm Center is running, a Tait icon appears in the system tray. Double-click the icon and the main window appears. Right-click the icon and a menu pops up. This gives you access to the Alarm Center's options.

See Also

Remotely Monitoring Base Stations

Running Alarm Center

Responding to New Alarms

Viewing Alarms

Configuring Alarm Center

TAIT
Radio Communications
http://www.taitworld.com


Remotely Monitoring Base Stations

Support technicians can use Alarm Center to automate the remote monitoring of their system.

When a base station fault develops, Task Manager instructs the base station to dial up the Alarm Center and send its alarm log. (Base stations do not send individual alarms. Some faults cause a cluster of alarms and if these were sent one by one, this would tie up the modem link and prevent an important alarm getting through.)

When Alarm Center receives the alarm log, it extracts those alarms that were not in a previous log and saves them to its own database. It also pops up a message to let you know that alarms have arrived. When you open Alarm Center, you see the alarms in a table combining alarms from the various base stations.

Before you can automate remote monitoring in this way, you must set up communications between your system of base stations and the Alarm Center. Each site installation needs a telephone line and each base station needs a dial-up modem. See TN ***, Remotely Monitoring and Configuring the Tait T8000, for details on setting up these links. Each base station must be configured using the Service Kit, so that it sends its alarm logs to the Alarm Center and so that its Task Manager knows when to tell the base station to send its alarm log.

TAIT
Radio Communications
http://www.taitworld.com


Running Alarm Center

It is best to configure your PC's operating system so that it starts Alarm Center automatically. Then Alarm Center is running whenever your PC is on. However, you can manually start Alarm Center. When Alarm Center starts, it instructs the PC's modem to go into auto-answer mode, so that it is ready to receive alarms.

To manually start Alarm Center

  • Select Start > Tait Applications >T8000 Service Kit > Alarm Center.

    The main window pops up and the Alarm Center icon appears in the system tray.

See Also

Closing the Main Window

Disabling and Enabling Alarm Center

Exiting Alarm Center

TAIT
Radio Communications
http://www.taitworld.com


Closing the Main Window

If you want to keep Alarm Center out of the way so that you can work on other things, close its main window. This does not affect Alarm Center's operation.

To close the main window

  1. Click the Tait icon in the top left-hand corner of the window. A menu pops up.
  2. Click Close.

TAIT
Radio Communications
http://www.taitworld.com


Disabling and Enabling Alarm Center

You can disable the Alarm Center application. Disabling leaves Alarm Center running but prevents it from receiving alarm logs. This is useful when you are setting up or testing a base station; many alarms will be generated and you don't want to keep track of them.

To disable Alarm Center

  1. Right-click the Alarm Center icon.
  2. From the pop-up menu, select Disable.

    The Alarm Center icon is now crossed out.

To enable Alarm Center

  1. Right-click the crossed-out Alarm Center icon.
  2. From the pop-up menu, select Enable.

    The cross over the Alarm Center icon disappears.

TAIT
Radio Communications
http://www.taitworld.com


Exiting Alarm Center

You can shut down the Alarm Center application if you no longer want it to operate on your PC.

To exit Alarm Center

  • From the pop-up menu, select Exit.

    The Alarm Center icon disappears from the system tray. If the main application window is open, it closes.

TAIT
Radio Communications
http://www.taitworld.com


Responding to New Alarms

When an alarm log arrives, Alarm Center pops up a message to let you know. If more logs are received, the message display is updated.

The Alarms reported since box tells you when the first log arrived. The other boxes tell you how many logs have been received and how many new alarms are in those logs. An alarm is new if it was not contained in a previous log that Alarm Center received.

To view the new alarms

  • Click OK. The main window opens so that you can see the alarms.

    Each row in this dialog box provides information about an alarm.

See Also

Viewing Alarms

TAIT
Radio Communications
http://www.taitworld.com


Viewing Alarms

The Alarm Center main window lets you view details about the alarms that have been received and save them to a text file.

Columns

The columns in the dialog box provide information about each alarm.

Date/Time

When the alarm occurred. The date and time are displayed in the format defined in the regional settings of the PC's operating system.

Base Station

The name of the base station where the alarm occurred.

Module

The module that registered the alarm state.

Serial Number

The number uniquely identifying the module.

Reported Alarm

The name of the alarm. This name is provided by Alarm Center based on the alarm number that it received.

Command Buttons

A row of buttons along the bottom of the dialog box provide options for dealing with the alarm logs.

Save to File

Lets you save the currently displayed alarm list to a text file in comma-separated format. To append the list to an existing file, you specify the name of that file.

Clear List

Deletes all entries in Alarm Center's database of alarms and clears the on-screen display so that you can concentrate on future alarms.

Configure

Lets you configure the Alarm Center (see Configuring Alarm Center for more information).

TAIT
Radio Communications
http://www.taitworld.com


Configuring Alarm Center

The Configure dialog box (right-click the Alarm Center icon, then click Configure) lets you set up the Alarm Center so that can receive alarm logs from the base stations in your system.

To configure Alarm Center

  1. Click Configure to modify the communications parameters. You need to provide settings that are compatible with the base station modems that will be communicating with the Alarm Center modem. For information about the dialog that appears, see your operating system documentation.
  2. Select the Run this program when Windows starts check box if you want Alarm Center to start automatically when you start your PC (recommended).
  3. If desired, you can specify a different folder for storing text files of the alarms.
    1. Click the Default File Locations tab.
    2. Click the button alongside the Log files folder box and select a suitable folder. (When you click Save to File, Alarm Center will default to this folder.)
  4. Click OK to confirm your changes and close the dialog box.

TAIT
Radio Communications
http://www.taitworld.com